package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableLongToIntFunction.class */
public interface FailableLongToIntFunction<E extends Throwable> {
    public static final FailableLongToIntFunction NOP = t -> {
        return 0;
    };

    int applyAsInt(long j) throws Throwable;

    static <E extends Throwable> FailableLongToIntFunction<E> nop() {
        return NOP;
    }
}
